/****************************************************************************************
 * 项目用途： 演示T1的用法，自动重载和手动重载
 * 文件名: main.c
 * 项目名: KF8A100FTN_TIME1
 * 版 本: v1.0
 * 日 期: 2019年08月16日 15时47分03秒
 * 作 者: charles_cai
 * 功能：上电时按下S2按键，则LED2按照1Hz 的频率闪烁，LED3熄灭
 * 		上电时不按S2键，则LED3按照1Hz 的频率闪烁，LED2熄灭烁。
 ****************************************************************************************/
#include"main.h"

volatile unsigned int cnt=0;
volatile unsigned char mode=0;

//主函数
void main()
{
	Init_osc();
	Init_GPIO();
	if(S2)//按键松开按照硬件重载的方式运行
	{
		Init_T1(0);
	}
	else//按键按下时按照中断里手动重载方式运行
	{
		Init_T1(1);
		mode =1;
	}
	Init_intrup();

	while(1)
	{
		if(cnt>5)
		{
			cnt =0;
			if(mode)
				LED2 =!P31;
			else
				LED3 =!P30;
		}

	}
}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
	if(T1IF)
	{
		T1IF =0;
		if(mode)
		{
			T1ON =0;
			T1H =0x3c;
			T1L =0xAF;
			T1ON =1;
		}

		cnt++;
	}
}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
